package cn.superdesk.uniorder.dubbo.facade.accounting.supplier;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.param.accounting.unified.supplier.*;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierXGoods;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:    
 * @Author:         linjinyu
 * @Email  linjinyu@avic-s.com
 * @CreateDate:     2020-10-23 17:19:13
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2020-10-23 17:19:13
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
public interface DubboAccountingUnifiedSupplierXGoodsService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(AccountingUnifiedSupplierXGoodsParam param);

	@Deprecated
	void updateObj(AccountingUnifiedSupplierXGoodsParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	AccountingUnifiedSupplierXGoods findById(Long id);

	@Deprecated
	PageInfo<AccountingUnifiedSupplierXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingUnifiedSupplierXGoods> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingUnifiedSupplierXGoods(AccountingUnifiedSupplierXGoodsParam param);

	void updateAccountingUnifiedSupplierXGoods(AccountingUnifiedSupplierXGoodsParam param);

	void deleteAccountingUnifiedSupplierXGoods(Long id);

	AccountingUnifiedSupplierXGoods findAccountingUnifiedSupplierXGoodsById(Long id);

	R<List<AccountingUnifiedSupplierXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
